=== debian/changelog ===
kde-runtime (4:4.8.4-2) unstable; urgency=low

  * The package rebuild will use xz compression (Closes: #688758).

  [ Pino Toscano ]
  * Backport upstream commit 9145b51c1cc4e9ecd273e8eb41de1bbcdd607e35 to not
    claim thumbnail support for the image/x-wmf and image/x-xfig mimetypes;
    patch upstream_Remove-image-x-wmf-and-image-x-xfig-from-image-thumb.patch.
  * Backport upstream commit d9234cca36319cb6895d4a7d36030a95923d1373 (from
    the nepomuk-core repository) to remove a spammy "FIXME" debug message;
    patch upstream_Remove-a-FIXME-debug-message.patch. (Closes: #677625)

  [ Lisandro Damián Nicanor Pérez meyer ]
  * Add myself to Uploaders.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Oct 2012 17:33:47 -0300

kde-runtime (4:4.8.4-1) unstable; urgency=low

  * New upstream release.
  * Team upload.

  [ Modestas Vainius ]
  * Switch transitional kdebase-runtime to Priority: extra.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.4.
  * Update installed files.

 -- Modestas Vainius <modax@debian.org>  Sat, 09 Jun 2012 15:23:03 +0300

kde-runtime (4:4.8.3-1) experimental; urgency=low

  * New upstream release.
  * Team upload.

  [ Eshat Cakar ]
  * Add libqca2-dev to build dependecies.
  * Update not-installed files.
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sat, 26 May 2012 19:53:12 +0300
