## kde-runtime 4.8.5

=== debian/changelog ===
kde-runtime (4:4.8.5-0ubuntu0.3) precise-security; urgency=medium

  * SECURITY UPDATE: Insufficient Input Validation By IO Slaves and
    Webkit Part
   - Add upstream_CVE-2014-8600.diff to escape protocol twice: once
     for i18n, and once for HTML
   - https://www.kde.org/info/security/advisory-20141113-1.txt
   - CVE-2014-8600
   - LP: #1393479

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Nov 2014 15:46:42 +0100

kde-runtime (4:4.8.5-0ubuntu0.2) precise; urgency=low

  * Add kubuntu_samba_password.diff from upstream fix LP: #1071453
    Dolphin doesn't store samba share password

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Nov 2013 09:32:03 +0000

kde-runtime (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:40:05 +0200

kde-runtime (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1007798)
    - add kcm_ssl docs to kde-runtime-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Jun 2012 22:33:49 +0200

kde-runtime (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)
    - New upstream symbols for libnepomukdatamanagement4

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 May 2012 17:33:19 +0530
