## kde-runtime 4.9.2

=== debian/changelog ===
kde-runtime (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release
  * Use 4.9.* on library versions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:13:55 +0100

kde-runtime (4:4.9.1-0ubuntu2) quantal; urgency=low

  * Rebuild against libattica0.4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Sep 2012 12:57:44 +0100

kde-runtime (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:27:22 +0530

kde-runtime (4:4.9.0-0ubuntu3) quantal; urgency=low

  * Update kubuntu_langpack_install.diff to use pkg_depends data from
    language-selector to select complete list of needed languages
  * kde-runtime depends on language-selector-common

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 17 Aug 2012 17:17:23 +0100

kde-runtime (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:51 +0100

kde-runtime (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * Build-dep on nepomuk-core-dev (>= 4.9.0a)
  * Remove kubuntu_kactivities_cmake.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 31 Jul 2012 10:30:17 +0100

kde-runtime (4:4.8.90-0ubuntu2) quantal; urgency=low

  * Add kubuntu_langpack_install.diff to install language packs from kcontrol
  * Build-dep on libqapt-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Jun 2012 14:15:49 +0100

kde-runtime (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.

  [ Jonathan Riddell ]
  * Add kubuntu_kactivities_cmake.diff from upstream, fix detection of kactivities

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 22:08:34 +0200

kde-runtime (4:4.8.80-0ubuntu1) quantal; urgency=low

  * Merge with debian git, remaining changes: 
    - add kde-runtime.[postinst,prerm] for update-alternatives kdesu
    - debian/control:
      + Remove libqzeitgeist-dev build-dep, not in main
      + add udisks, upower, kubuntu-debug-installer, icoutils,
        libcanberra-pulse | libcanberra-gstreamer to kde-runtime recommends
      + keep Break/Replaces
      + add packages:
        - kde-runtime-dev
        - libnepomukdatamanagement4
        - libnepomuksync4
      + helpcenter4 no recommend on htdig
    - debian/patches:
      + remove kde4_information_menu.diff
      + add:
        - kubuntu_nodisplay_knetattach.diff
        - kubuntu_oxygenify_knetattach_icon.diff
        - kubuntu_phonon_forget_option.diff
        - kubuntu_strigi_ram_detection.diff
    - debian/kde-runtime-data.install:
      + change etc/xdg/menus/kde4-information.menu to
        etc/xdg/menus/kde-information.menu
      + change usr/share/desktop-directories/kde4-information.directory to
        usr/share/desktop-directories/kde-information.directory
      + Don't install
        usr/share/kde4/apps/kio_desktop/DesktopLinks/Home.desktop
      + Don't install usr/share/kde4/apps/kio_desktop/directory.trash
      + add D-Bus Interface XMLs for Playground Nepomuk
      + install plasma active QML components
    - debian/kde-runtime.install
      + install usr/lib/kde4/libexec/kdesu to
        /usr/lib/kde4/libexec/kdesu-distrib/
      + install 30-nepomuk-inotify-limit.conf to /etc/sysctl.d
    - drop libnepomukdatamanagement.so override from
      kde-runtime.lintian-overrides
    - add 30-nepomuk-inotify-limit.conf

  * New upstream beta release
    - drop libnepomuksync4 package, moved to nepomuk-core
    - drop obsolete libnepomukdatamanagement4 package
    - drop now empty kde-runtime-dev package, all files moved to
      nepomuk-core-dev
    - remove nepomuk files that were moved to nepomuk-core
    - make kde-runtime depend on nepomuk-core
    - drop now obsolete kubuntu_strigi_ram_detection.diff, moved to
      nepomuk-core
    - add nepomuk-core-dev, libkactivities-dev and kdepimlibs5-dev to
      build-depends
    - update kde-runtime.install and kde-runtime-data.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 03 Jun 2012 21:50:00 +0200

kde-runtime (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - New upstream symbols for libnepomukdatamanagement4

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 02 May 2012 17:33:19 +0530

kde-runtime (4:4.8.3-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add libqca2-dev to build dependecies.
  * Update not-installed files.
  * Update installed files.
  * Bump kdelibs5-dev build dependency to version 4:4.8.
  * Bump kde-sc-dev-latest build dependency to version 4:4.8.3.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 08 Mar 2012 20:54:47 +0100
