=== debian/control ===
--- 
+++ 
@@ -4,22 +4,22 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
- Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+ Modestas Vainius <modax@debian.org>, George Kiagiadakis <kiagiadakis.george@gmail.com>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins,
+ kdelibs5-dev (>= 4:4.9.2), libphonon-dev (>= 4:4.6.0really4.4.3), kdelibs5-plugins (>= 4:4.9.2),
  libsmbclient-dev, libsoprano-dev (>= 2.6.50),
  libstreamanalyzer-dev (>= 0.6.3), libstrigiqtdbusclient-dev (>= 0.6.3),
  libopenexr-dev, libbz2-dev, libx11-dev, libxcursor-dev,
  libasound2-dev (>= 1.0.14a) [linux-any],
  libjpeg-dev, libslp-dev,
- liblzma-dev, libattica-dev (>= 0.1.4), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
- shared-desktop-ontologies (>= 0.7),
+ liblzma-dev, libattica-dev (>= 0.4.1), libssh-dev (>= 0.4.0), libexiv2-dev (>= 0.12),
+ libqca2-dev, shared-desktop-ontologies (>= 0.7),
  libntrack-qt4-dev [linux-any], libpulse-dev (>= 0.9.16), libcanberra-dev,
  libnm-util-dev (>= 0.7)  [linux-any], network-manager-dev (>= 0.7.0) [linux-any],
- libqtwebkit-dev, libqca2-dev, kdelibs5-experimental-dev
-Standards-Version: 3.9.2
+ libqtwebkit-dev, nepomuk-core-dev (>= 4:4.9.2), libkactivities-dev (>= 4:4.9.2), kdepimlibs5-dev, libqapt-dev
+Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kde-runtime
@@ -27,12 +27,12 @@
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kde-runtime.git
 
 Package: kde-runtime
-Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  kde-runtime-data (>= ${source:Version}), ${sameVersionDep:kdelibs5-plugins:kde-runtime},
- oxygen-icon-theme (>= 4:4.6),
- shared-desktop-ontologies, plasma-scriptengine-javascript (= ${binary:Version})
+ oxygen-icon-theme (>= 4:4.9.2), nepomuk-core,
+ shared-desktop-ontologies (>= 0.8), plasma-scriptengine-javascript (= ${binary:Version}),
+ language-selector-common
 Recommends: udisks, upower, virtuoso-minimal,
  kubuntu-debug-installer, icoutils,
  libcanberra-pulse | libcanberra-gstreamer
@@ -61,7 +61,7 @@
  This package contains programs and data needed at runtime by KDE applications.
 
 Package: kdebase-runtime
-Section: kde
+Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, kde-runtime
 Description: Transitional package for the KDE runtime components
@@ -76,7 +76,6 @@
  and can safely be removed after installation.
 
 Package: kde-runtime-data
-Section: kde
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}
 Replaces: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
@@ -84,60 +83,20 @@
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
  kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
  plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
- kdebase-runtime-data, nepomukcontroller
+ kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.8.80)
 Breaks: kdebase-bin-kde3, kcontrol, kdebase-kio-plugins, kdebase-runtime-data-common,
  kdelibs5-data (<< 4:4.5), kdebase-workspace-bin (<< 4:4.5.95), plasma-netbook (<< 4:4.5.95),
  plasma-widget-networkmanagement (<< 0.1+git20110422.810bc16-1+),
  kdelibs5-dev (<< 4:4.5), plasma-scriptengine-declarative,
  plasma-scriptengine-javascript (<< 4:4.6.80), kdebase-runtime (<< 4:4.6.80),
- kdebase-runtime-data, nepomukcontroller
+ kdebase-runtime-data, nepomukcontroller, kde-runtime (<< 4:4.8.80)
 Description: shared data files for the KDE base runtime module
  This package contains the architecture-independent shared data files needed to
  run KDE applications.
  .
  This package is part of the KDE base runtime module.
 
-Package: kde-runtime-dev
-Section: devel
-Architecture: any
-Depends: ${misc:Depends},
- libnepomukdatamanagement4 (= ${binary:Version}),
- libnepomuksync4 (= ${binary:Version}),
- python,
- python-kde4
-Breaks: kde-runtime (<< 4:4.8.1~)
-Replaces: kde-runtime (<< 4:4.8.1~)
-Description: Development files for Nepomuk
- Development files for Nepomuk
- .
- This package is part of the KDE base runtime module.
-
-Package: libnepomukdatamanagement4
-Section: libs
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Basic Nepomuk data manipulation interface
- The Data Management API is the basic interface to manipulate data in Nepomuk.
- It provides methods to add, remove, change properties, add and remove 
- resources, merge resources, integrate blobs of information, and retrieve 
- resources according to certain criteria
- .
- This package is part of the KDE base runtime module.
-
-Package: libnepomuksync4
-Section: libs
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kde-runtime (<< 4:4.8.1~)
-Replaces: kde-runtime (<< 4:4.8.1~)
-Description: Nepomuk sync interface for the Backup and Sync service
- The Nepomuk sync interface provides a convenient way to store and look up
- Nepomuk resources.
- .
- This package is part of the KDE base runtime module.
-
 Package: khelpcenter4
-Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: khelpcenter
@@ -149,18 +108,7 @@
  .
  This package is part of the KDE base runtime module.
 
-#Package: kde-config-phonon-xine
-#Section: kde
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}, ${xine-console:Depends}
-#Description: advanced Phonon Xine configuration
-# This package contains a configuration module for tweaking some of the more
-# advanced settings for Phonon's Xine backend.
-# .
-# This package is part of the KDE base runtime module.
-
 Package: plasma-scriptengine-javascript
-Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: JavaScript script engine for Plasma
@@ -186,7 +134,7 @@
  issues.
 
 Package: kdebase-runtime-dbg
-Section: debug
+Section: oldlibs
 Architecture: all
 Priority: extra
 Depends: ${misc:Depends}, kde-runtime-dbg
